Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 88308 - CONFIG_IP_NF_NAT_LOCAL is not set
Summary: CONFIG_IP_NF_NAT_LOCAL is not set
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: kernel
Version: 2.1
Hardware: ia64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Larry Woodman
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-04-08 19:56 UTC by Ryan Bradetich
Modified: 2007-11-30 22:06 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-10-19 19:25:11 UTC


Attachments (Terms of Use)

Description Ryan Bradetich 2003-04-08 19:56:09 UTC
Description of problem:

The kernel-smp-2.4.18-e.25 does not have the following kernel configuration item
set: CONFIG_IP_NF_NAT_LOCAL.  In the latest update kernel for Red Hat 7.3 (this 
is the only one I have looked at) this option is set to =m, on RedHat 2.1AS for 
ia64 this option is not set.  This affects the usage of iptables for NAT to the 
OUTPUT chain.

Version-Release number of selected component (if applicable):
kernel-smp-2.4.18-e.25

How reproducible: Always

Steps to Reproduce:

1. On a kernel with # CONFIG_IP_NF_NAT_LOCAL is not set do this command:

2. /sbin/iptables -t nat -A OUTPUT --dst 1.2.3.4 -p tcp --dport 993 -j DNAT --
to-destination 127.0.0.1:12345

The result is: iptables: Invalid argument.

3. On a kernel with CONFIG_IP_NF_NAT_LOCAL=m do the same command.

4. this works.


Additional info:

I have a support contract for RHAS 2.1 on ia64 with Hewlett-Packard also.  The 
Hewlett-Pakcard Response center, my customers, and I figured out the solution to
the problem.  I would like to see this integrated into the official Red Hat 
kernel so I can still utalize this support contract if necessary.

Comment 1 RHEL Product and Program Management 2007-10-19 19:25:11 UTC
This bug is filed against RHEL2.1, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products.  Since
this bug does not meet that criteria, it is now being closed.

For more information of the RHEL errata support policy, please visit:
http://www.redhat.com/security/updates/errata/

If you feel this bug is indeed mission critical, please contact your
support representative.  You may be asked to provide detailed
information on how this bug is affecting you.


Note You need to log in before you can comment on or make changes to this bug.